# Receive Customer

### Webhook respond body:

```json
{
  //Unique Event ID
  "hook_id" : "string",
  //Webhook Type
  "hook_type" : int,
  "Data" : {
    "Client" : {
      //Customer unique ID
      "cuid" : "string",
      //Customer Status
      "status" : int,
      //State change dates (Unix time in seconds)
      "create_at" : {"seconds": 1718787385},
      "update_at" : {"seconds": 1718787385},
      "onboarding_at" : {"seconds": 1718787385},
      //Customer`s Name
      "name" : "string",
      //Customer`s Last Name
      "lastname" : "string"
    }
  }
}
```

### Customer Statuses

* 0 = NEW - Flow status: Customer now created
* 1 = MODERATION - Flow status: Customer in moderation by Delos manager
* 2 = MODERATED - Flow status: Customer is now success moderated by Delos manager
* 6 = VERIFY - Flow status: Customer in verify progress
* 3 = ACCEPT - Result status: Customer accepted
* 4 = REJECT - Result status: Customer rejected
* 5 = BANNED - Result status: Customer canceled (banned)

<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.delos.financial/webhooks/receive-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
